forked from pool/mariadb
d14c12cb84
- Update to 10.7.3 (bsc#1196016): * release notes and changelog: https://mariadb.com/kb/en/library/mariadb-1073-release-notes https://mariadb.com/kb/en/library/mariadb-1073-changelog https://mariadb.com/kb/en/library/mariadb-1072-release-notes https://mariadb.com/kb/en/library/mariadb-1072-changelog https://mariadb.com/kb/en/library/mariadb-1071-release-notes https://mariadb.com/kb/en/library/mariadb-1071-changelog https://mariadb.com/kb/en/library/mariadb-1070-release-notes https://mariadb.com/kb/en/library/mariadb-1070-changelog * fixes for the following security vulnerabilities: 10.7.3: CVE-2021-46665 CVE-2021-46664 CVE-2021-46661 CVE-2021-46668 CVE-2021-46663 10.7.2: CVE-2022-24052 CVE-2022-24051 CVE-2022-24050 CVE-2022-24048 CVE-2021-46659, bsc#1195339 10.7.1: none 10.7.0: none - Remove upstreamed patches: * mariadb-10.0.15-logrotate.su.patch * mariadb-10.1.1-mysqld_multi_features.patch - Refresh mariadb-10.2.4-logrotate.patch - Update list of skipped tests - Add bsc1194828.patch to fix build with GCC12, fixes bsc#1194828 - The following issues have already been fixed in this package but weren't OBS-URL: https://build.opensuse.org/request/show/956810 OBS-URL: https://build.opensuse.org/package/show/server:database/mariadb?expand=0&rev=292
36 lines
1.1 KiB
Diff
36 lines
1.1 KiB
Diff
PATCH-P0-FIX-SUSE: Fix log file path for logrotate
|
|
|
|
In SUSE we've got MySQL log in different directory. It's located in
|
|
/var/log/mysql by default. It also adds some extra error message.
|
|
|
|
Maintainer: Michal Hrusecky <Michal.Hrusecky@opensuse.org>
|
|
|
|
Index: support-files/mysql-log-rotate.sh
|
|
===================================================================
|
|
--- support-files/mysql-log-rotate.sh.orig
|
|
+++ support-files/mysql-log-rotate.sh
|
|
@@ -18,7 +18,7 @@
|
|
# ATTENTION: This /root/.my.cnf should be readable ONLY
|
|
# for root !
|
|
|
|
-@localstatedir@/mysqld.log {
|
|
+/var/log/mysql/*.log {
|
|
# create 600 mysql mysql
|
|
su mysql mysql
|
|
notifempty
|
|
@@ -32,6 +32,14 @@
|
|
then
|
|
@bindir@/mysqladmin --local flush-error-log \
|
|
flush-engine-log flush-general-log flush-slow-log
|
|
+ ret=$?
|
|
+ if test $ret -ne 0
|
|
+ then
|
|
+ echo "/etc/logrotate.d/mariadb failed, probably because" >&2
|
|
+ echo "the root acount is protected by password." >&2
|
|
+ echo "See comments in /etc/logrotate.d/mariadb on how to fix this" >&2
|
|
+ exit $ret
|
|
+ fi
|
|
fi
|
|
endscript
|
|
}
|